<template>
  <div class="infoheader">
    <el-collapse v-model="activeNames">
      <div v-for="item in helpData" :key="item.id">
        <el-collapse-item :title="item.titleZh" :name="item.id">
          <span v-html="item.contentZh">{{ item.contentZh }}</span>
        </el-collapse-item>
      </div>
    </el-collapse>
  </div>
</template>

<script>
import { getInternalHelpDocPage} from "@/api/system/internalHelpDoc";
export default {
  data() {
    return {
      activeNames: [],
      helpData: []
    }
  },
  created() {
    getInternalHelpDocPage({ pageNo: 1, pageSize: 100 }).then((r) => {
      this.helpData = r.data.list
      this.activeNames = this.helpData.map(m => { return m.id })
    })
  }
}
</script>

<style scoped>
  .infoheader{
    padding:20px
  }
</style>
